Network Availabilities
Preview
This schema is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Properties
- Name
- object
- Type
- string
- Description
Type of object is always
networkAvailability.Allowed values:networkAvailability
- Name
- availability
- Type
- array
- Description
- A list of availability details for the plans in the project.
- Name
- plan
- Type
- string
- Description
The unique identifier for the plan.
Optional: This property may not always be included.Example:"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
- Name
- provider
- Type
- string
- Description
The ID of the network provider supported by this plan.
Optional: This property may not always be included.Example:"p11"
- Name
- technologies
- Type
- object
- Description
The technologies supported by the network provider.
Optional: This property may not always be included.Example:{"4G":{"strength":"good","minDecibelMilliwatts":-90},"5G":{"strength":"fair","minDecibelMilliwatts":-100}}
- Name
- location
- Type
- object
- Description
- The location for which availability information is provided.
- Name
- address
- Type
- NetworkAvailabilityAddress
- Status
- PREVIEW
- Description
- The address for which availability information is provided.Optional: This property may not always be included.
- Name
- coordinates
- Type
- NetworkAvailabilityCoordinates
- Status
- PREVIEW
- Description
- The coordinates for which availability information is provided.Optional: This property may not always be included.
NetworkAvailability object
{
"object": "networkAvailability",
"availability": [
{
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"provider": "p11",
"technologies": {
"4G": {
"strength": "good",
"minDecibelMilliwatts": -90
},
"5G": {
"strength": "fair",
"minDecibelMilliwatts": -100
}
}
}
],
"location": {
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}
}
Lookup network availability by location
Looks up network availability information based on geographic coordinates (latitude/longitude) or address. Returns network availability data only for US locations.
Preview
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Body
- Name
- address
- Type
- NetworkAvailabilityAddress
- Status
- PREVIEW
- Description
- The address for which availability information is provided.
- Name
- coordinates
- Type
- NetworkAvailabilityCoordinates
- Status
- PREVIEW
- Description
- The coordinates for which availability information is provided.
Path Parameters
Responses
Returns the network availability data with location.
- Name
- object
- Type
- string
- Description
Type of object is always
networkAvailability.Allowed values:networkAvailability
- Name
- availability
- Type
- array
- Description
- A list of availability details for the plans in the project.
- Name
- plan
- Type
- string
- Description
The unique identifier for the plan.
Optional: This property may not always be included.Example:"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
- Name
- provider
- Type
- string
- Description
The ID of the network provider supported by this plan.
Optional: This property may not always be included.Example:"p11"
- Name
- technologies
- Type
- object
- Description
The technologies supported by the network provider.
Optional: This property may not always be included.Example:{"4G":{"strength":"good","minDecibelMilliwatts":-90},"5G":{"strength":"fair","minDecibelMilliwatts":-100}}
- Name
- location
- Type
- object
- Description
- The location for which availability information is provided.
- Name
- address
- Type
- NetworkAvailabilityAddress
- Status
- PREVIEW
- Description
- The address for which availability information is provided.Optional: This property may not always be included.
- Name
- coordinates
- Type
- NetworkAvailabilityCoordinates
- Status
- PREVIEW
- Description
- The coordinates for which availability information is provided.Optional: This property may not always be included.
Request
curl https://api.gigs.com/projects/${GIGS_PROJECT}/networkAvailability/lookup \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}'
Responses 200
{
"object": "networkAvailability",
"availability": [
{
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"provider": "p11",
"technologies": {
"4G": {
"strength": "good",
"minDecibelMilliwatts": -90
},
"5G": {
"strength": "fair",
"minDecibelMilliwatts": -100
}
}
}
],
"location": {
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}
}
List all coverage map tilesets
Returns the tilesets needed to render a coverage map, based on the project's available plans.
Preview
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Path Parameters
Query Parameters
- Name
- after
- Type
- string
- Description
A cursor for use in pagination. The
afterparameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
- Name
- before
- Type
- string
- Description
A cursor for use in pagination. The
beforeparameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
- Name
- limit
- Type
- integer
- Description
The limit of items to be returned in the list, between 0 and 200.
Example:20Default:10>= 0<= 200
- Name
- plan
- Type
- string
- Description
Returns the tileset for a specific plan, if available.
Example:"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"
Responses
Returns a list of network availability tilesets.
- Name
- object
- Type
- string
- Description
Type of object is always
list.Allowed values:list
- Name
- items
- Type
- array
- Description
- List of objects of type
networkAvailabilityTileset.
- Name
- moreItemsAfter
- Type
- nullable string
- Description
A unique identifier to be used as
afterpagination parameter if more items are available sorted after the current batch of items.
- Name
- moreItemsBefore
- Type
- nullable string
- Description
A unique identifier to be used as
beforepagination parameter if more items are available sorted before the current batch of items.
Request
curl https://api.gigs.com/projects/${GIGS_PROJECT}/networkAvailabilityTilesets \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
Responses 200
{
"object": "list",
"items": [
{
"object": "networkAvailabilityTileset",
"expiresAt": "2026-08-04T12:00:00Z",
"layers": [
{
"technology": "5G",
"sourceLayer": "coverage_5g"
}
],
"maxZoom": 10,
"minZoom": 0,
"urlTemplate": "https://tiles.gigs.com/tiles/default/2026-08-03/{z}/{x}/{y}.pbf?URLPrefix=aHR0cHM6Ly90aWxlcy5naWdzLmNvbS90aWxlcy9kZWZhdWx0LzIwMjYtMDgtMDMv&Expires=1785844800&KeyName=tiles-key-20260930&Signature=pciE55nCNX-qhXzJNSAXaf34624="
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}